<?xml version="1.0"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://www.w3.org/1999/xlink http://www.xbrl.org/2003/xlink-2003-12-31.xsd">
  <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel" />
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="EarningsBeforeInterestTaxesDepreciationAndAmortization" xlink:href="fountain-2024-12-31.xsd#fountain_EarningsBeforeInterestTaxesDepreciationAndAmortization" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EarningsBeforeInterestTaxesDepreciationAndAmortization_label_labelen" xml:lang="en">Earnings Before Interest Taxes Depreciation And Amortization</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EarningsBeforeInterestTaxesDepreciationAndAmortization" xlink:to="EarningsBeforeInterestTaxesDepreciationAndAmortization_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="GainLossOnChangeInFairValueOfContingentConsiderations" xlink:href="fountain-2024-12-31.xsd#fountain_GainLossOnChangeInFairValueOfContingentConsiderations" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="GainLossOnChangeInFairValueOfContingentConsiderations_label_labelen" xml:lang="en">Gain Loss On Change In Fair Value Of Contingent Considerations</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainLossOnChangeInFairValueOfContingentConsiderations" xlink:to="GainLossOnChangeInFairValueOfContingentConsiderations_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AdjustmentsForIncreaseDecreaseInAccrualsAccountsLiabilities" xlink:href="fountain-2024-12-31.xsd#fountain_AdjustmentsForIncreaseDecreaseInAccrualsAccountsLiabilities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AdjustmentsForIncreaseDecreaseInAccrualsAccountsLiabilities_label_labelen" xml:lang="en">Adjustments For Increase Decrease In Accruals Accounts Liabilities</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInAccrualsAccountsLiabilities" xlink:to="AdjustmentsForIncreaseDecreaseInAccrualsAccountsLiabilities_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherNonRecurringCharges" xlink:href="fountain-2024-12-31.xsd#fountain_OtherNonRecurringCharges" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherNonRecurringCharges_label_labelen" xml:lang="en">Other Non Recurring Charges</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherNonRecurringCharges" xlink:to="OtherNonRecurringCharges_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CustomerBasedBusinessAssets" xlink:href="fountain-2024-12-31.xsd#fountain_CustomerBasedBusinessAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CustomerBasedBusinessAssets_label_labelen" xml:lang="en">Customer Based Business Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerBasedBusinessAssets" xlink:to="CustomerBasedBusinessAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:href="fountain-2024-12-31.xsd#fountain_ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelen" xml:lang="en">Changes In Cash And Cash Equivalents If Different From Statement Of Financial Position Abstract</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:to="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AllocationsReversalsOfProvisions" xlink:href="fountain-2024-12-31.xsd#fountain_AllocationsReversalsOfProvisions" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AllocationsReversalsOfProvisions_label_labelen" xml:lang="en">Allocations Reversals Of Provisions</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AllocationsReversalsOfProvisions" xlink:to="AllocationsReversalsOfProvisions_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AdjustmentsForIncreaseDecreaseInTaxAndSocialSecurityDebts" xlink:href="fountain-2024-12-31.xsd#fountain_AdjustmentsForIncreaseDecreaseInTaxAndSocialSecurityDebts" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AdjustmentsForIncreaseDecreaseInTaxAndSocialSecurityDebts_label_labelen" xml:lang="en">Adjustments For Increase Decrease In Tax And Social Security Debts</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInTaxAndSocialSecurityDebts" xlink:to="AdjustmentsForIncreaseDecreaseInTaxAndSocialSecurityDebts_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="PaidUpCapital" xlink:href="fountain-2024-12-31.xsd#fountain_PaidUpCapital" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="PaidUpCapital_label_labelen" xml:lang="en">Paid Up Capital</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaidUpCapital" xlink:to="PaidUpCapital_label_labelen" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>